commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gilles (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (MATH-827) Replace class "LegendreGaussIntegrator" with "IterativeLegendreGaussIntegrator" class
Date Wed, 18 Jul 2012 16:31:35 GMT

     [ https://issues.apache.org/jira/browse/MATH-827?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Gilles updated MATH-827:
------------------------

    Attachment: IterativeLegendreGaussIntegrator.java

See the proposed "IterativeLegendreGaussIntegrator" class.
                
> Replace class "LegendreGaussIntegrator" with "IterativeLegendreGaussIntegrator" class
> -------------------------------------------------------------------------------------
>
>                 Key: MATH-827
>                 URL: https://issues.apache.org/jira/browse/MATH-827
>             Project: Commons Math
>          Issue Type: Task
>            Reporter: Gilles
>            Assignee: Gilles
>            Priority: Minor
>              Labels: api-change
>             Fix For: 3.1, 4.0
>
>         Attachments: IterativeLegendreGaussIntegrator.java
>
>
> The "LegendreGaussIntegrator" class (in package "o.a.c.m.analysis.integration") has a
misleading name. Internally, it uses the Legendre-Gauss quadrature rule on sub-intervals of
the integration range but, additionally, it performs an iterative procedure to automatically
determine the number of sub-intervals over which the rule will be successively applied.
> The strict Gauss-Legendre quadrature scheme has now been implemented (cf. MATH-797) in
package "o.a.c.m.analysis.integration.gauss".
> I thus propose to:
> # Deprecate "LegendreGaussIntegrator" in 3.1.
> # Create a new "IterativeLegendreGaussIntegrator" class that will perform the same procedure
as "LegendreGaussIntegrator" but will internally use the classes in package "o.a.c.m.analysis.integration.gauss"
to perform the Gauss-Legendre quadrature part.
> # Remove "LegendreGaussIntegrator" in 4.0.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message